For the complete documentation index, see llms.txt. This page is also available as Markdown.

Transactions

View transaction history

List transactions

get
/api/v1/transactions

Returns all Payment Sessions Blockchain transactions.

Query parameters
pagenumber · min: 1Optional

Page number (1-based)

Default: 1Example: 1
sizenumber · min: 1 · max: 100Optional

Number of items per page

Default: 10Example: 10
searchstringOptional

Search by transaction hash or asset

Example: 0x1234567890abcdef
statusstring · enumOptional

Filter by transaction status

Example: confirmedPossible values:
chainstring · enumOptional

Filter by blockchain

Example: ethereumPossible values:
assetstring · enumOptional

Filter by asset

Example: USDTPossible values:
sessionReferencestringOptional

Filter by payment session reference

Example: sess_1234567890
customerIdstringOptional

Filter by customer ID

Example: 123e4567-e89b-12d3-a456-426614174000
startDatestringOptional

Filter transactions created from this date/time (ISO 8601)

Example: 2026-03-01T00:00:00Z
endDatestringOptional

Filter transactions created up to this date/time (ISO 8601)

Example: 2026-03-11T23:59:59Z
Responses
200Success
application/json
successbooleanRequired

Indicates if the request was successful

Example: true
messagestringRequired

Response message

Example: Success
get/api/v1/transactions
GET /api/v1/transactions HTTP/1.1
Host: api.coincircuit.io
Accept: */*
{
  "success": true,
  "message": "Success",
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "sessionId": "123e4567-e89b-12d3-a456-426614174000",
      "txHash": "0x1234567890abcdef1234567890abcdef12345678",
      "status": "confirmed",
      "chain": "bsc",
      "asset": "USDT",
      "fromAddress": "0x1234567890abcdef1234567890abcdef12345678",
      "toAddress": "0x742d35Cc6639C0532fF8037C7D6B8b123b2F4a25",
      "amount": "100.50",
      "confirmations": "12",
      "amlCheck": "pending",
      "failureReason": "Insufficient confirmations",
      "explorerUrl": "https://bscscan.com/tx/0x1234567890abcdef1234567890abcdef12345678",
      "confirmedAt": "2024-01-15T10:30:00.000Z",
      "createdAt": "2024-01-15T10:30:00.000Z",
      "updatedAt": "2024-01-15T10:30:00.000Z"
    }
  ],
  "meta": {
    "page": 1,
    "size": 10,
    "total": 42,
    "totalPages": 5
  }
}

Retrieve transaction

get
/api/v1/transactions/{txHash}

Returns the transaction for the given hash.

Path parameters
txHashstringRequired

Transaction hash

Example: 0x1234567890abcdef1234567890abcdef12345678
Responses
200Success
application/json
successbooleanRequired

Indicates if the request was successful

Example: true
messagestringRequired

Response message

Example: Success
get/api/v1/transactions/{txHash}
GET /api/v1/transactions/{txHash} HTTP/1.1
Host: api.coincircuit.io
Accept: */*
{
  "success": true,
  "message": "Success",
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "sessionId": "123e4567-e89b-12d3-a456-426614174000",
    "txHash": "0x1234567890abcdef1234567890abcdef12345678",
    "status": "confirmed",
    "chain": "bsc",
    "asset": "USDT",
    "fromAddress": "0x1234567890abcdef1234567890abcdef12345678",
    "toAddress": "0x742d35Cc6639C0532fF8037C7D6B8b123b2F4a25",
    "amount": "100.50",
    "confirmations": "12",
    "amlCheck": "pending",
    "failureReason": "Insufficient confirmations",
    "explorerUrl": "https://bscscan.com/tx/0x1234567890abcdef1234567890abcdef12345678",
    "confirmedAt": "2024-01-15T10:30:00.000Z",
    "createdAt": "2024-01-15T10:30:00.000Z",
    "updatedAt": "2024-01-15T10:30:00.000Z"
  }
}

Last updated

Was this helpful?